//----------------------------------------------------------------------------
#ifndef AboutH
#define AboutH
//----------------------------------------------------------------------------
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include "TntStdCtrls.hpp"
#include "VirtualTrees.hpp"
struct NodeData
{
	WideString Caption;
	WideString Value;
};
//----------------------------------------------------------------------------

class TAboutBox : public TForm
{
__published:
	TVirtualStringTree *AboutTree;
	TTntMemo *LicenseMemo;
	void __fastcall FormKeyPress(TObject *Sender, char &Key);
	void __fastcall AboutTreeGetText(TBaseVirtualTree *Sender, PVirtualNode Node,
          TColumnIndex Column, TVSTTextType TextType, WideString &CellText);
	void __fastcall AboutTreeInitNode(TBaseVirtualTree *Sender,
          PVirtualNode ParentNode, PVirtualNode Node,
          TVirtualNodeInitStates &InitialStates);
	void __fastcall AboutTreeFreeNode(TBaseVirtualTree *Sender, PVirtualNode Node);
	void __fastcall AboutTreeMeasureItem(TBaseVirtualTree *Sender,
          TCanvas *TargetCanvas, PVirtualNode Node, int &NodeHeight);
private:
public:
	virtual __fastcall TAboutBox(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TAboutBox *AboutBox;
//----------------------------------------------------------------------------
#endif    
