//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ActnList.hpp>
#include <ActnMan.hpp>
#include <ImgList.hpp>
#include <XPStyleActnCtrls.hpp>
#include <ActnCtrls.hpp>
#include <ToolWin.hpp>
#include <ActnMenus.hpp>
#include <Menus.hpp>
#include <StdActns.hpp>
#include "te_controls.hpp"
#include "te_engine.hpp"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
	TImageList *ServerImageList;
	TActionManager *ActManager;
	TActionMainMenuBar *MainMenuBar;
	TAction *NewConnectAction;
	TAction *ExitAction;
	TAction *TopMenuServerAction;
	TAction *HelpAction;
	TAction *AboutAction;
	TWindowCascade *WindowCascade;
	TWindowTileHorizontal *WindowTileHorizontal;
	TWindowTileVertical *WindowTileVertical;
	TWindowMinimizeAll *WindowMinimizeAll;
	TWindowArrange *WindowArrange;
	TAction *WindowAction;
	TAction *ConnectAction;
	TAction *DisconnectAction;
	TAction *CloseAction;
	TTeThemeEngine *ThemeEngine;
	TTeThemeList *ThemeList;
	TTeForm *ThemeForm;
	void __fastcall NewConnectActionExecute(TObject *Sender);
	void __fastcall ExitActionExecute(TObject *Sender);
	void __fastcall HelpActionExecute(TObject *Sender);
	void __fastcall AboutActionExecute(TObject *Sender);
	void __fastcall WindowActionExecute(TObject *Sender);
	void __fastcall ConnectActionExecute(TObject *Sender);
	void __fastcall DisconnectActionExecute(TObject *Sender);
	void __fastcall CloseActionExecute(TObject *Sender);
	void __fastcall TopMenuServerActionUpdate(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
