//---------------------------------------------------------------------------

#ifndef SqlLogH
#define SqlLogH
#include <TntClasses.hpp>
#include <TntStdCtrls.hpp>
//---------------------------------------------------------------------------
/* TWriteLogEvent type*/
typedef void __fastcall (__closure *TWriteLogEvent)(WideString LogText);
/*Logger class*/
class TLogger
{
private:
	AnsiString FFileName;
	TFileStream* LogStream;
	bool FDisplayError;
	void __fastcall WriteLog(WideString Text);
	TWriteLogEvent FOnWriteLog;
protected:
	void __fastcall SetFileName(AnsiString value);
public:
	TTntMemo* OutputMemo;
	__fastcall TLogger();
	__fastcall ~TLogger();
	void __fastcall Release();
	void __fastcall Initialize();
	void __fastcall WriteLog(WideString Text, bool WriteTime);
	/* Log file name */
	__property AnsiString FileName= {read=FFileName, write=SetFileName};
	__property bool DisplayError= {read=FDisplayError, write=FDisplayError};
	__property TWriteLogEvent OnWriteLog = {read=FOnWriteLog, write=FOnWriteLog};
};
//---------------------------------------------------------------------------
#endif
