//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "About.h"
//--------------------------------------------------------------------- 
#pragma link "TntStdCtrls"
#pragma link "VirtualTrees"
#pragma resource "*.dfm"
TAboutBox *AboutBox;
//--------------------------------------------------------------------- 
__fastcall TAboutBox::TAboutBox(TComponent* AOwner)
	: TForm(AOwner)
{
	AboutTree->NodeDataSize=sizeof(NodeData);
	AboutTree->ChildCount[NULL]=5;
}
//---------------------------------------------------------------------
void __fastcall TAboutBox::FormKeyPress(TObject *Sender, char &Key)
{
	Close();
}
//---------------------------------------------------------------------------
void __fastcall TAboutBox::AboutTreeGetText(TBaseVirtualTree *Sender,
	  PVirtualNode Node, TColumnIndex Column, TVSTTextType TextType,
	  WideString &CellText)
{
	NodeData* Data=(NodeData*)AboutTree->GetNodeData(Node);
	switch(Column)
	{
		case 0:
			CellText=Data->Caption;
		break;
		case 1:
			CellText=Data->Value;
		break;
	}
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::AboutTreeInitNode(TBaseVirtualTree *Sender,
	  PVirtualNode ParentNode, PVirtualNode Node,
	  TVirtualNodeInitStates &InitialStates)
{
	NodeData* Data=(NodeData*)AboutTree->GetNodeData(Node);
	switch(Node->Index)
	{
		case 0:
		Data->Caption="Product name";
		Data->Value="SQL Server Monitor 2006";
		break;
		case 1:
		Data->Caption="Product version";
		Data->Value="1.2.5.6";
		break;
		case 3:
		Data->Caption="Contact info";
		Data->Value="tchikien@yahoo.com";
		break;
		case 2:
		Data->Caption="File version";
		Data->Value="2006.010.126.22";
		break;
		case 4:
		Data->Caption="License";
		Data->Value=TrimRight(LicenseMemo->Text);
		AboutTree->MultiLine[Node]=true;
		break;
	}

}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::AboutTreeFreeNode(TBaseVirtualTree *Sender,
	  PVirtualNode Node)
{
	NodeData* Data=(NodeData*)AboutTree->GetNodeData(Node);
	Data->Caption="";
	Data->Value="";
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::AboutTreeMeasureItem(TBaseVirtualTree *Sender,
	  TCanvas *TargetCanvas, PVirtualNode Node, int &NodeHeight)
{
	if(Node->Index==4)
	{
		NodeHeight=276;
    }
}
//---------------------------------------------------------------------------

